---
labels:
  - GraphQL
internalOnly: false
learnMore: https://www.apollographql.com/docs/apollo-server/schema/directives/
---

An annotation for a schema or operation that customizes request execution. Prefixed with `@` and may include arguments. For example, the `@lowerCase` directive below can define logic to return the `username` field in lowercase:

```graphql
type User {
  username: String! @lowerCase
}
```
